@import url("https://fonts.googleapis.com/css2?family=Nunito:wght@300;400;500;600;700;800;900;1000&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Nunito", sans-serif;
}

/* Framework */

.fysh-flex {
  display: flex;
}

.fysh-align-center {
  align-items: center;
}

.fysh-justify-between {
  justify-content: space-between;
}

.fysh-wrap {
  flex-wrap: wrap;
}

/* Framework End */

.fysh_posts {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  position: relative;
}

.fysh_single_post {
  position: relative;
  width: calc(25% - 20px);
  margin: 20px 10px;
  overflow: hidden;
  border-radius: 16px;
  cursor: pointer;
}



.fysh_image {
  position: relative;
}

.fysh_image img {
  width: 100%;
  max-width: 100%;
  height: 300px;
  object-fit: cover;
  max-height: 300px;
  min-height: 300px;
}

h2.fysh_title {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: #fff;
  font-family: "Nunito";
  font-size: 26px;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 20px;
  text-align: center;
  line-height: 1.2em;
  text-shadow: 2px 2px rgba(0, 0, 0, 0.5);
  z-index: 5;
  opacity: 1;
  transition: opacity 0.3s ease;
  font-weight: 800;
}

.fysh_image::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  background: rgba(0, 0, 0, 0.2);
  z-index: 1;
}

.fysh_meta {
  display: flex;
  flex-direction: column;
  position: absolute;
  left: 0;
  top: 0;
  background: rgba(0, 0, 0, 0.6);
  width: 100%;
  height: 100%;
  align-items: flex-start;
  justify-content: center;
  color: #fff;
  text-align: left;
  padding: 20px;
  transform: translateX(-100%);
  transition: transform 0.4s ease-in-out;
  z-index: 10;
}

.fysh_term_toggle{
	font-size: 14px;
	cursor: pointer ;
	user-select: none ;
	
}

.fysh_single_post:hover .fysh_meta {
  transform: translateX(0%);
}

.fysh_single_post:hover .fysh_title {
  opacity: 0;
}

.fysh_meta span {
  display: block;
  font-family: "Nunito";
  font-size: 17px;
  padding: 3px 0;
}

.fysh_filter_bar {
    position: fixed;
    min-height: 100vh;
    left: 0;
    top: 0;
    background: #fff;
    z-index: 999999;
    padding: 0;
    width: 350px;
    max-width: 100%;
    transform: translateX(-150%);
    transition: transform 0.4s ease;
    max-height: 100vh;
    overflow-y: scroll;
}

.fysh_filter_bar::-webkit-scrollbar {
  width: 5px;
}

.fysh_filter_bar::-webkit-scrollbar-track {
  background: rgba(0, 0, 00, 0.2);
}

.fysh_filter_bar::-webkit-scrollbar-thumb {
  background: rgba(0, 0, 0, 0.6);
  border-radius: 30px;
}

.fysh_filter_bar.active {
  transform: translateX(0%);
}

.fysh_filter_form {
  position: relative;
	margin: 0 25px 25px
}

.fysh_close_filter {
    position: sticky;
    left: 0;
    top: 0;
    font-size: 16px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    z-index: 100;
    padding: 15px 25px;
    font-weight: 600;
    color: #fff;
    background: #222222;
    margin-bottom: 15px;
}

.fysh_close_filter > i {
    cursor: pointer;	
}

.fysh_button {
  background: #222 !important;
  border-radius: 30px !important;
  font-size: 16px !important;
  font-weight: 400 !important;
  padding: 15px 35px !important;
  transition: all 0.4s ease !important;
}

.fysh_button:hover {
  background: #d4af37 !important;
}

.fysh_form_field {
  border: 1px solid rgba(0, 0, 0, 0.1) !important;
  width: 100% !important;
  border-radius: 30px !important;
  outline: none !important;
  padding: 10px 20px !important;
}

.fysh_email_submit {
  text-transform: capitalize;
  width: 100%;
}

.fysh_filter_pay_parent
 {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  justify-content: space-between;
}

.fysh_filter_pay_parent input {
  width: calc(50% - 10px);
  border: 1px solid rgba(0, 0, 00, 0.2);
  border-radius: 5px;
  padding: 0 12px;
  height: 40px;
  outline: none !important ;
}

.fysh_filter_startupCost_parent > label{
	display: block ;
}

label.fysh_label {
  font-family: "Nunito";
  font-weight: 700;
  color: #222;
  display: block;
  border-bottom: 1px solid rgba(0, 0, 0, 0.1);
  margin: 15px 0;
  padding: 10px 0;
  font-size: 15px;
  border-top: 1px solid rgba(0, 0, 0, 0.1);
}

.fysh_filter_pay label.fysh_label {
  margin-top: 0px;
  padding-top: 0px;
  border-top: 0px solid rgba(0, 0, 0, 0.1);
}

ul.fysh_resources_items {
  margin: 0;
  padding: 0;
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.fysh_email_form p {
  margin: 0 !important ;
}

.wpcf7-spinner {
  position: absolute !important;
  top: 67%;
  right: -1%;
}

.fysh_resource_item {
  display: inline-block !important;
  margin-right: 5px;
  position: relative;
}

.fysh_resource_item::after {
  content: ",";
}

.fysh_resource_item:last-child:after {
  content: "";
}

.loader {
  border: 3px solid #f3f3f3;
  border-radius: 50%;
  border-top: 3px solid #222;
  width: 24px;
  height: 24px;
  -webkit-animation: spin 2s linear infinite; /* Safari */
  animation: spin 2s linear infinite;
}

.fysh_loader {
  position: absolute;
  left: 50%;
  top: -20px;
  transform: translateX(-50%);
  display: none;
}

.fysh_infinite_loader{
	position: absolute ;
	left: 50% ;
	bottom: -20px;
	transform: translateX(-50%);
}

.fysh_diff_levels {
  margin: 0;
  padding: 0;
  list-style: none;
  display: flex;
  align-items: center;
  justify-content: space-between;
  font-family: "Nunito";
  font-size: 12px;
  font-weight: 800;
}


/* Safari */
@-webkit-keyframes spin {
  0% {
    -webkit-transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
  }
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.fysh_meta i{
	width: 24px;	
}

.fysh_permalink {
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  z-index: 1;
}

.fysh-hidden{
	display: none ;
}

ul.hustle-data {
    list-style: none;
    margin: 5vh 0;
}

h1.single-hustle-title {
    font-size: 2vw;
    line-height: 1.3em;
    margin-bottom: 5vh;
}

body.single-hustles{
	background: #F9FAFB ;
}

body.single-hustles .site-content .ast-container {
    max-width: 1200px !important;
    margin: 50px auto;
	padding: 3em;
	background: #fff ;
}

ul.fysh_resources_items li {
    text-transform: capitalize;
}

input.fysh_filter_diffRange[type=range]::-webkit-slider-runnable-track {
  height: 15px;
}

input.fysh_filter_diffRange[type=range]::-webkit-slider-thumb {
  box-shadow: 1px 1px 1px #000000;
  border: 1px solid #000000;
  height: 20px;
  width: 20px;
  border-radius: 50%;
  background: #D4AF37;
  cursor: pointer;
  -webkit-appearance: none;
  margin-top: -3px;
}

input.fysh_search_field {
    border: none !important;
    background: transparent;
	height: 40px;
	font-size: 14px;
	outline: none !important ;
}

input.fysh_search_field:focus{
	border: none ;
}

button.fysh_search_btn {
    background: #000;
    width: 40px;
    height: 40px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 0;
	outline: none !important ;
	transition: all 0.2s ease;
}

button.fysh_search_btn:hover, button.fysh_search_btn:focus, button.fysh_search_btn:active{
	background: #D4AF37 ;
}

.fysh_search {
    border: 1px solid rgba(0,0,0,0.1);
    height: 42px;
    display: flex;
    align-items: center;
    border-radius: 3px;
}

@media (max-width: 1024px) {
  .fysh_single_post {
    width: calc(50% - 20px);
  }
	
	.fysh_form_parent{
		width: 100% !important;
	}
	
	.fysh_submit_parent{
		width: 35% !important;
		margin-top: 12px;
	}
}

@media (max-width: 767px) {
  .fysh_single_post {
    width: calc(100% - 20px);
  }

  .fysh_form_parent,
  .fysh_submit_parent {
    width: 100% !important;
  }

  .fysh_submit_parent {
    margin-top: 20px;
  }

  .fysh_submit_parent input {
    width: 100%;
  }

  .fysh_filter_pay_parent input,
  .fysh_filter_startupCost_parent input {
    width: calc(100%);
  }

  .fysh_filter_pay_parent,
  .fysh_filter_startupCost_parent {
    gap: 15px;
  }
}

@media (max-width: 300px) {
  .fysh_submit,
  .fysh_reset {
    width: 100%;
  }

  .fysh_reset {
    margin-top: 15px;
  }
}
